{
  "getAllPSPanelFields" : [ {
    "id" : "name",
    "viewFieldName" : "bh"
  }, {
    "id" : "type",
    "viewFieldName" : "type"
  } ],
  "codeName" : "Usr1214574362",
  "controlType" : "PANEL",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM/PSPANELS/Usr1214574362.json",
  "layoutMode" : "Flex",
  "logicName" : "甘特图节点滑块面板",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
  },
  "getPSLayout" : {
    "layout" : "FLEX"
  },
  "getRootPSPanelItems" : [ {
    "caption" : "容器",
    "itemStyle" : "DEFAULT",
    "itemType" : "CONTAINER",
    "name" : "container",
    "getPSLayout" : {
      "dir" : "row",
      "layout" : "FLEX"
    },
    "getPSLayoutPos" : {
      "grow" : -1,
      "layout" : "FLEX"
    },
    "getPSPanelItems" : [ {
      "caption" : "文本(动态)",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "name",
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "name",
        "predefinedType" : "FIELD_TEXT_DYNAMIC",
        "renderMode" : "TEXT_DYNAMIC",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "viewFieldName" : "bh",
      "hidden" : false,
      "showCaption" : false
    }, {
      "caption" : "文本(动态)",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "type",
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "type",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/WorkItemType.json"
        },
        "predefinedType" : "FIELD_TEXT_DYNAMIC",
        "renderMode" : "TEXT_DYNAMIC",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX",
        "spacingLeft" : "OUTERMEDIUM",
        "spacingRight" : "OUTERMEDIUM"
      },
      "viewFieldName" : "type",
      "convertToCodeItemText" : true,
      "hidden" : false,
      "showCaption" : false
    } ]
  } ],
  "layoutPanel" : true,
  "modelid" : "C68767AB-70CD-4338-B3E5-72EB8CE368B3",
  "modeltype" : "PSSYSVIEWPANEL"
}